package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.entity.Entity;

import net.mcreator.puzzle_code.network.PuzzleCodeModVariables;

public class PositionSetCopyPosProcedure {
	public static void execute(Entity entity) {
		if (entity == null)
			return;
		{
			PuzzleCodeModVariables.PlayerVariables _vars = entity.getData(PuzzleCodeModVariables.PLAYER_VARIABLES);
			_vars.positionSetXPos2 = entity.getData(PuzzleCodeModVariables.PLAYER_VARIABLES).positionSetXPos;
			_vars.syncPlayerVariables(entity);
		}
		{
			PuzzleCodeModVariables.PlayerVariables _vars = entity.getData(PuzzleCodeModVariables.PLAYER_VARIABLES);
			_vars.positionSetYPos2 = entity.getData(PuzzleCodeModVariables.PLAYER_VARIABLES).positionSetYPos;
			_vars.syncPlayerVariables(entity);
		}
		{
			PuzzleCodeModVariables.PlayerVariables _vars = entity.getData(PuzzleCodeModVariables.PLAYER_VARIABLES);
			_vars.positionSetZPos2 = entity.getData(PuzzleCodeModVariables.PLAYER_VARIABLES).positionSetZPos;
			_vars.syncPlayerVariables(entity);
		}
	}
}
